Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.operation
Class GetMapResult

    java.lang.Object
      org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
          org.deegree.ogcwebservices.wms.operation.GetMapResult

All Implemented Interfaces:
  OGCWebServiceResponse

    public class GetMapResult

extends DefaultOGCWebServiceResponse

This interface describes the access to the response of a GetMap request.

The response to a valid GetMap request shall be a map of the georeferenced information layer requested, in the desired style, and having the specified spatial reference system, bounding box, size, format and transparency.

An invalid GetMap request shall yield an error output in the requested Exceptions format (or a network protocol error response in extreme cases). In an HTTP environment, the MIME type of the returned value's Content-type entity header shall match the format of the return value.

----------------------------------------------------------------------

Version:
  2002-03-01
Author:
  Katharina Lupp

Field Summary

Fields inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`exception, request`

Constructor Summary
`GetMapResult(OGCWebServiceRequest request, Object map)` constructor initializing the class with the
`GetMapResult(OGCWebServiceRequest request, OGCWebServiceException exception)` constructor initializing the class with the

Method Summary
`Object` | `getMap()`
`void` | `setMap(Object map)` sets the map that fullfills the GetMap request.

Methods inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`getException, getRequest, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetMapResult

    public GetMapResult(OGCWebServiceRequest request,
                        Object map)

  constructor initializing the class with the

  Parameters:
    `request` -
    `map` -

### GetMapResult

    public GetMapResult(OGCWebServiceRequest request,
                        OGCWebServiceException exception)

  constructor initializing the class with the

  Parameters:
    `request` -
    `exception` -

Method Detail

### getMap

    public Object getMap()

  Returns:
    the map that fullfills the GetMap request. If a exception raised generating the map and the exception format doesn't equals application/vnd.ogc.se_inimage or application/vnd.ogc.se_blank `null` will be returned.

### setMap

    public void setMap(Object map)

  sets the map that fullfills the GetMap request.

  Parameters:
    `map` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org